Bug 994783 - "5.4.2. Viewing Accumulated Usage Data" should contain more details
"5.4.2. Viewing Accumulated Usage Data" should contain more details
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Dellapenta
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 21:54 EDT by kylin
Modified: 2017-03-08 12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 16:31:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kylin 2013-08-07 21:54:12 EDT
Description of problem:

Current document("5.4.2. Viewing Accumulated Usage Data") really have limited information, The document should explain the output of the oo-admin-ctl-usage command means. Below is a customer's feedback:
---
Can you please explain the output of the oo-admin-ctl-usage command means? I want to know what each field and their values represent in detail. I'm particularly interesting in "UsageType" and "Usage".

# oo-admin-ctl-usage --list

Errors/Warnings will be logged to terminal
2013-05-14 15:48:54 -0400 INFO::
---------- STARTED ----------

User: bob
	Gear: 518bcaa26892dfcb74000001, UsageType: GEAR_USAGE, Usage: 23.32543548687111
	Gear: 518bcb876892dfcb74000017, UsageType: GEAR_USAGE, Usage: 23.32543548687111
	Gear: 519254d36892df8f9000000b, UsageType: ADDTL_FS_GB, Usage: 0.05429166666666666
	Gear: 519254d36892df8f9000000b, UsageType: GEAR_USAGE, Usage: 0.08019000000000001
	Gear: 519258d46892df156600001f, UsageType: GEAR_USAGE, Usage: 4.287655764648889
User: demo
	Gear: 5192624e6892dfcb3f00000e, UsageType: ADDTL_FS_GB, Usage: 0.0042325
	Gear: 5192624e6892dfcb3f00000e, UsageType: ADDTL_FS_GB, Usage: 3.5350574313155554
	Gear: 519262ef6892df43f7000001, UsageType: GEAR_USAGE, Usage: 3.5691388202044445
2013-05-14 15:48:54 -0400 INFO::
---------- ENDED, #Errors: 0, #Warnings: 0 ----------
---
Comment 2 Jason Shepherd 2013-08-11 23:21:29 EDT
GEAR_USAGE and ADDTL_FS_GB are both are measured in hours.  The 'oo-admin-usage' command will give you better output. The 'oo-admin-ctl-usage' is designed for use by the Openshift Billing API
Comment 6 Alex Dellapenta 2013-08-27 10:27:17 EDT
Hi Kylin,

I've made some additions to the "Viewing Accumulated Usage Data" section and it has been QE'd. Can you take a look (pasted below) and let me know if you feel it satisfies the BZ request? If so, I will close the BZ and it will be published in the next book release.

Sorry for the weird formatting below (the two tables). You can also view the actual staged book via the link in the previous internal note. 

=========================

5.4.2. Viewing Accumulated Usage Data

You can view resource usage reports per user using the oo-admin-usage or oo-admin-ctl-usage commands. Usage reports include how long a user has been using a gear and any additional storage. The oo-admin-usage command is the recommended method for listing a single user's usage data as it contains more detailed information. Use the oo-admin-ctl-usage command to list all users' basic usage data at once.

Procedure 5.4. To view resource usage per user

Run the following command on the broker host, replacing demo with the relevant user name.

# oo-admin-usage -l demo

Usage for demo
------------------------------------------
#1
 Usage Type: GEAR_USAGE (small)
    Gear ID: 519262ef6892df43f7000001 (racecar)
   Duration: 3 hours and 19 minutes (2013-05-14 12:14:45 - PRESENT)

#2
 Usage Type: ADDTL_FS_GB (3)
    Gear ID: 5192624e6892dfcb3f00000e (foo)
   Duration: 15 seconds (2013-05-14 12:16:33 - 2013-05-14 12:16:48)

#3
 Usage Type: ADDTL_FS_GB (2)
    Gear ID: 5192624e6892dfcb3f00000e (foo)
   Duration: 3 hours and 17 minutes (2013-05-14 12:16:48 - PRESENT)

The following describes the output in further detail.

Field		Description
Usage Type	GEAR_USAGE: related to how long a gear has been in use with the gear size in parentheses
		ADDTL_FS_GB: related to how long additional storage has been in use on a gear with the number of GBs in parentheses
Gear ID	 	UUID of the relevant gear with the associated application name in parentheses
Duration	Usage duration including start and end time (or start time and PRESENT if still in use)

Procedure 5.5. To view resource usage for all users

Run the following command on the broker host.

# oo-admin-ctl-usage --list

Errors/Warnings will be logged to terminal
2013-05-14 15:48:54 -0400 INFO::
---------- STARTED ----------

User: bob
	Gear: 518bcaa26892dfcb74000001, UsageType: GEAR_USAGE, Usage: 23.32543548687111
	Gear: 518bcb876892dfcb74000017, UsageType: GEAR_USAGE, Usage: 23.32543548687111
	Gear: 519254d36892df8f9000000b, UsageType: ADDTL_FS_GB, Usage: 0.05429166666666666
	Gear: 519254d36892df8f9000000b, UsageType: GEAR_USAGE, Usage: 0.08019000000000001
	Gear: 519258d46892df156600001f, UsageType: GEAR_USAGE, Usage: 4.287655764648889
User: demo
	Gear: 5192624e6892dfcb3f00000e, UsageType: ADDTL_FS_GB, Usage: 0.0042325
	Gear: 5192624e6892dfcb3f00000e, UsageType: ADDTL_FS_GB, Usage: 3.5350574313155554
	Gear: 519262ef6892df43f7000001, UsageType: GEAR_USAGE, Usage: 3.5691388202044445
2013-05-14 15:48:54 -0400 INFO::
---------- ENDED, #Errors: 0, #Warnings: 0 ----------

The following describes the output in further detail.

Field		Description
User		User accumulating resource usage
Gear		UUID of the relevant gear
UsageType	GEAR_USAGE: 	related to how long a gear has been in use
		ADDTL_FS_GB:	related to how long additional storage has been in use on a gear
Usage	 	Usage duration (in hours)

Note You need to log in before you can comment on or make changes to this bug.